layout_randomly {igraph} | R Documentation

## Randomly place vertices on a plane or in 3d space

### Description

This function uniformly randomly places the vertices of the graph in two or three dimensions.

### Usage

    layout_randomly(graph, dim = 2)

    randomly(...)

### Arguments

`graph` | The input graph.
`dim` | Integer scalar, the dimension of the space to use. It must be 2 or 3.
`...` | Parameters to pass to `layout_randomly`.

### Details

Randomly places vertices on a [-1,1] square (in 2d) or in a cube (in 3d). It is probably a useless layout, but it can use as a starting point for other layout generators.

### Value

A numeric matrix with two or three columns.

### Author(s)

Gabor Csardi csardi.gabor@gmail.com

### See Also

Other graph layouts: `add_layout_`; `as_bipartite`, `layout.bipartite`, `layout_as_bipartite`; `as_star`, `layout.star`, `layout_as_star`; `as_tree`, `layout_as_tree`; `component_wise`; `in_circle`, `layout_in_circle`; `layout.auto`, `layout_nicely`, `nicely`; `layout.davidson.harel`, `layout_with_dh`, `with_dh`; `layout.gem`, `layout_with_gem`, `with_gem`; `layout.graphopt`, `layout_with_graphopt`, `with_graphopt`; `layout.grid`, `layout.grid.3d`, `layout.grid.3d`, `layout_on_grid`, `on_grid`; `layout.mds`, `layout_with_mds`, `with_mds`; `layout.merge`, `layout_components`, `merge_coords`, `piecewise.layout`, `piecewise.layout`; `layout.norm`, `norm_coords`; `layout.sugiyama`, `layout_with_sugiyama`, `with_sugiyama`; `layout_on_sphere`, `on_sphere`; `layout_with_fr`, `with_fr`; `layout_with_kk`, `with_kk`; `layout_with_lgl`, `with_lgl`; `layout`, `layout_`, `print.igraph_layout_modifier`, `print.igraph_layout_spec`; `normalize`

[Package igraph version 1.0.1 Index]